aboutsummaryrefslogtreecommitdiffstats
path: root/community/xfce4-mixer
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2018-04-23 19:44:46 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2018-04-23 19:44:46 +0000
commit27d1e194717b1696b3169ad43df027876247b91a (patch)
tree8416dc507bc2aed5f47588d345abe1ef22a6c60f /community/xfce4-mixer
parent0090cfe5db52bd764631d9b1d55e6e74c7cf2ae8 (diff)
downloadaports-27d1e194717b1696b3169ad43df027876247b91a.tar.bz2
aports-27d1e194717b1696b3169ad43df027876247b91a.tar.xz
main/{xfce*} => community/
Move everything xfce to community
Diffstat (limited to 'community/xfce4-mixer')
-rw-r--r--community/xfce4-mixer/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/community/xfce4-mixer/APKBUILD b/community/xfce4-mixer/APKBUILD
new file mode 100644
index 0000000000..82d7d27da8
--- /dev/null
+++ b/community/xfce4-mixer/APKBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce4-mixer
+pkgver=4.11.0
+pkgrel=2
+pkgdesc="The volume control plugin for the Xfce panel"
+url="https://xfce.org/"
+arch="all"
+license="GPL-2.0"
+depends="hicolor-icon-theme"
+makedepends="xfce4-panel-dev gst-plugins-base0.10-dev libxfce4ui-dev
+ libunique-dev keybinder-dev"
+install=
+subpackages="$pkgname-lang $pkgname-doc"
+source="http://archive.xfce.org/src/apps/xfce4-mixer/${pkgver%.*}/xfce4-mixer-$pkgver.tar.bz2
+ "
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static \
+ --with-sound=alsa \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="1b3753b91224867a3a2dfddda239c28d xfce4-mixer-4.11.0.tar.bz2"
+sha256sums="fb0c1df201ed1130f54f15b914cbe5a59286e994a137acda5609570c57112de2 xfce4-mixer-4.11.0.tar.bz2"
+sha512sums="0ef27ece0d5f46bd83db86d8e607d2dc34f4b0221679dbdeae4e4eb9993b30398a2e882b3a870af9928906330898935f2fe29e83442ba6f01b9e19d02ea6f66f xfce4-mixer-4.11.0.tar.bz2"